"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.publishDraftRelease = publishDraftRelease;
exports.deleteBranch = deleteBranch;

var _path = _interopRequireDefault(require("path"));

var _debug = _interopRequireDefault(require("debug"));

var _restClient = require("@shelf/gh-sdk/lib/rest-client");

var _ghSdk = require("@shelf/gh-sdk");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const debug = (0, _debug.default)(`gh-shipit:${_path.default.basename(__filename)}`);

async function publishDraftRelease({
  org,
  repo,
  releaseId
}) {
  const gh = (0, _restClient.getClient)();
  const {
    data
  } = await gh.repos.updateRelease({
    owner: org,
    repo,
    release_id: releaseId,
    draft: false
  });
  return data;
}

async function deleteBranch({
  org,
  repo,
  name
}) {
  return (0, _ghSdk.deleteBranch)({
    owner: org,
    repo,
    ref: `heads/${name}`
  });
}