"use strict";

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

var _path = _interopRequireDefault(require("path"));

var _debug = _interopRequireDefault(require("debug"));

var _client = require("../client");

var _package = require("../../package.json");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const debug = (0, _debug.default)(`${_package.name}:${_path.default.basename(__filename)}`);

module.exports.getOrgReleases = async function (org) {
  const gh = (0, _client.getClientGraphQL)();
  debug('Loading releases for org %s', org);
  const {
    data: {
      organization: {
        repositories: {
          edges
        }
      }
    }
  } = await gh.query({
    query: (0, _graphqlTag.default)`
      {
        organization(login: "${org}") {
          repositories(first: 50, isLocked: false, privacy: PRIVATE, orderBy: {field: PUSHED_AT, direction: DESC}) {
            edges {
              node {
                name
                releases(first: 10, orderBy: {field: CREATED_AT, direction: DESC}) {
                  edges {
                    node {
                      publishedAt
                      name
                      tag {
                        name
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    `
  });
  debug('Loaded org releases %o', edges);
  return edges;
};